Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core
Interface ILogicalStructureType

All Superinterfaces:
  ILogicalStructureTypeDelegate

public interface ILogicalStructureType
extends ILogicalStructureTypeDelegate

Provides a value representing the logical structure of a raw implementation value from a debug model. Logical structures are useful for navigating complex data structures. Logical structure types are contributed via extensions in plug-in XML, and provide a delegate for performing logical value computation. Logical structure types can be retrieved from the `DebugPlugin`.

Following is example plug-in XML to define a logical structure type.

     <extension point="org.eclipse.debug.core.logicalStructureTypes">
      <logicalStructureType
       id="com.example.ExampleLogicalStructure"
       class="com.example.ExampleLogicalStructureDelegate"
       modelIdentifier="com.example.debug.model"
       description="Ordered Collection">
      </logicalStructureType>
     </extension>

The attributes are specified as follows:

- id - unique identifier for this logical structure type
- class - fully qualified name of class that implements `ILogicalStructureTypeDelegate`
- modelIdentifier - identifier of the debug model this logical structure type is associated with
- description - description of the logical structure provided

Since:
  3.0
See Also:
  `ILogicalStructureTypeDelegate`

Method Summary
`String` | `getDescription()` Returns a simple description of the logical structure provided by this structure type.
`String` | `getId()` Returns this logical structure type's unique identifier, as defined in plug-in XML.

Methods inherited from interface org.eclipse.debug.core.model.ILogicalStructureTypeDelegate
`getLogicalStructure, providesLogicalStructure`

Method Detail

### getDescription

    public String getDescription()

  Returns a simple description of the logical structure provided by this structure type.

  Returns:
    a simple description of the logical structure provided by this structure type

### getId

    public String getId()

  Returns this logical structure type's unique identifier, as defined in plug-in XML.

  Returns:
    this logical structure type's unique identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.